صفحات اسپلاش

GET https://hj6.ir/api/splash-pages/
curl --request GET \
--url 'https://hj6.ir/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
page اختیاری عدد صحیح (Integer) شماره صفحه‌ای که می‌خواهید نتایج آن را دریافت کنید. مقدار پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح (Integer) تعداد نتایج مورد نظر در هر صفحه. مقادیر مجاز: 10 , 25 , 50 , 100 , 250 , 500 , 1000. مقدار پیش‌فرض: 25.
{ "data": [ { "id": 1, "name": "Development", "color": "#0e23cc", "last_datetime": null, "datetime": "2026-06-10 05:55:10" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://hj6.ir/api/projects?&page=1", "last": "https://hj6.ir/api/projects?&page=1", "next": null, "prev": null, "self": "https://hj6.ir/api/projects?&page=1" } }
GET https://hj6.ir/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://hj6.ir/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "name": "Development", "color": "#0e23cc", "last_datetime": null, "datetime": "2026-06-10 05:55:10" } }
POST https://hj6.ir/api/projects
پارامترها جزئیات توضیحات
name الزامی رشته (String) -
title اختیاری رشته (String) -
logo اختیاری فایل -
favicon اختیاری فایل -
opengraph اختیاری فایل -
description اختیاری رشته (String) -
secondary_button_name اختیاری رشته (String) -
secondary_button_url اختیاری رشته (String) -
custom_css اختیاری رشته (String) -
custom_js اختیاری رشته (String) -
ads_header اختیاری رشته (String) -
ads_footer اختیاری رشته (String) -
link_unlock_seconds اختیاری عدد صحیح (Integer) -
auto_redirect اختیاری منطقی (Boolean) -
curl --request POST \
--url 'https://hj6.ir/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{ "data": { "id": 1 } }
POST https://hj6.ir/api/splash-pages/{splash_page_id}
پارامترها جزئیات توضیحات
name اختیاری رشته (String) -
title اختیاری رشته (String) -
logo اختیاری فایل -
favicon اختیاری فایل -
opengraph اختیاری فایل -
description اختیاری رشته (String) -
secondary_button_name اختیاری رشته (String) -
secondary_button_url اختیاری رشته (String) -
custom_css اختیاری رشته (String) -
custom_js اختیاری رشته (String) -
ads_header اختیاری رشته (String) -
ads_footer اختیاری رشته (String) -
link_unlock_seconds اختیاری عدد صحیح (Integer) -
auto_redirect اختیاری منطقی (Boolean) -
curl --request POST \
--url 'https://hj6.ir/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{ "data": { "id": 1 } }
DELETE https://hj6.ir/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://hj6.ir/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \